#include "testlib.h"
#include <string>
using namespace std;

const int MAXN = 1e5;

int main(int argc, char * argv[]) 
{
    registerValidation(argc, argv);
    int n = inf.readInt(2, MAXN, "n");
    inf.readSpace();
    int k = inf.readInt(1, n, "k");
    inf.readEoln();
    int sum = 0;
    bool is_one = false;
    for (int i = 0; i < n; i++)
    {
        int a = inf.readInt(1, 2, format("a[%d]", i + 1));
        if (i < n - 1)
            inf.readSpace();
        sum += a;
        is_one |= (a == 1);
    }
    ensuref(sum == 2 * k, "Sum(a[i]) must be 2*k");
    ensuref(is_one || sum % 4 == 0, "Can't divided to sets equals by sum");
    inf.readEoln();
    inf.readEof();
    return 0;
}