#include <bits/stdc++.h>

const int MAX_VALUE = 1e6 + 10;

int main() {
    int n;
    std::cin >> n;
    std::vector<int> a(n);
    for (int i = 0; i < n; i++) {
        std::cin >> a[i];
    }
    std::vector<int> dp(n, INT_MAX);
    std::vector<int> p(n, -1);
    std::vector<int> mindp(MAX_VALUE, INT_MAX);
    std::vector<int> minindex(MAX_VALUE, INT_MAX);
    dp[0] = 0;
    mindp[a[0]] = 0;
    minindex[a[0]] = 0;
    for (int i = 1; i < n; i++) {
        if (a[i - 1] <= a[i]) {
            dp[i] = dp[i - 1];
            p[i] = i - 1;
        }
        if (mindp[a[i]] != INT_MAX && dp[i] > mindp[a[i]] + 1) {
            dp[i] = mindp[a[i]] + 1;
            p[i] = minindex[a[i]];
        }
        if (dp[i] < mindp[a[i]]) {
            mindp[a[i]] = dp[i];
            minindex[a[i]] = i;
        }
    }
    if (dp[n - 1] == INT_MAX) {
        printf("-1\n");
        return 0;
    }
    printf("%d\n", dp[n - 1]);
    std::vector<std::pair<int, int>> answer;
    int cur = n - 1;
    while (cur != -1) {
        int pr = p[cur];
        if (pr != cur - 1) {
            answer.push_back({pr, cur});
        }
        cur = pr;
    }
    std::reverse(answer.begin(), answer.end());
    for (size_t i = 0; i < answer.size(); i++) {
        printf("%d %d\n", answer[i].first + 1, answer[i].second + 1);
    }
    return 0;
}