#include <iostream>
#include <cstdio>
#include <cmath>
#include <algorithm>
#include <vector>
#include <string>

using namespace std;

#define TASK ""
typedef long long ll;
const int INF = (int)1e9 + 23;
const ll LINF = (ll)1e18 + 23;

int solve();

int main() {
	ios_base::sync_with_stdio(0);
#ifdef home
	freopen("input.txt", "r", stdin), freopen("output.txt", "w", stdout);
#else 
	cin.tie(0);
	cout.tie(0);
	if (TASK != "") freopen(TASK".in", "r", stdin), freopen(TASK".out", "w", stdout);
#endif
	solve();
	return 0;
}
const int dd = (int)1e6 + 3;

int r[dd];
int solve() {
	int n; cin >> n;

	fill(r, r + (int)1e6 + 1, -1);
	vector<int> A(n);

	for (int i = 0; i < n; i++) {
		cin >> A[i];
		r[A[i]] = max(r[A[i]], i);
	}	

	int prev = -1;
	vector<pair<int, int>> ans;
	for (int i = 0; i < n; i++) {
		if (prev > A[i]) cout << -1, exit(0);
		prev = A[i];

		int old_i = i;
		int new_i = r[A[i]];
		while (new_i == -1 && i < n) {
			new_i = r[++i];	
		}
		if (i == n) cout << -1, exit(0);
		if (old_i != new_i)
			ans.push_back({old_i, new_i});
		i = new_i;
	}

	cout << ans.size() << '\n';
	for (size_t i = 0; i < ans.size(); i++) {
		cout << ans[i].first  + 1 << ' ' << ans[i].second + 1 << '\n';
	}

	return 0;
}