#include "testlib.h"
#include <vector>

using namespace std;

const int MAXN = 1000;
const int MAXX = 1000000000;
const int MAXR = 100;
const int MAXC = 100;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    int n = inf.readInt(1, MAXN, "n");
    inf.readEoln();

    vector<int> x(n);
    for (int i = 0; i < n; i++) {
        x[i] = inf.readInt(1, MAXX, format("x[%d]", i));
        if (i > 0) {
            ensuref(x[i] > x[i - 1], "x[%d] <= x[%d], bad =(", i, i - 1);
        }
        inf.readSpace();
        inf.readInt(1, MAXR, format("r[%d]", i));
        inf.readSpace();
        inf.readInt(1, MAXC, format("c[%d]", i));
        inf.readEoln();
    }

    inf.readEof();

    return 0;
}
