#include "testlib.h"

#include <iostream>
#include <sstream>
#include <fstream>
#include <iomanip>
#include <string>
#include <cstdlib>
#include <cstdio>
#include <cstring>
#include <cmath>
#include <ctime>
#include <climits>
#include <cassert>
#include <vector>
#include <queue>
#include <stack>
#include <deque>
#include <set>
#include <map>
#include <bitset>
#include <utility>
#include <algorithm>

#define forn(i, n) for (int i = 0; i < int(n); i++)

using namespace std;

int main(int argc, char* argv[])
{
    registerGen(argc, argv, 1);
    int n = atoi(argv[1]);
    int m = atoi(argv[2]);
    set <pair <int, int> > q;
    cout << n << ' ' << m << '\n';
    for (int i = 0; i < (n - 1) * m + n * (m - 1); i++)
    {
        int a = rnd.next(1, n * m);
        int b = rnd.next(1, n * m);
        while (a == b || q.count({a, b}))
        {
            a = rnd.next(1, n * m);
            b = rnd.next(1, n * m);
        }
        cout << a << ' ' << b << '\n';
        q.insert({a, b});
        q.insert({b, a});
    }
    return 0;
}
