#include <iostream>

using namespace std;

typedef long long ll;

const ll C = (int)1e5;

int solve();

int main() {
	ios_base::sync_with_stdio(0);
#ifdef home
	freopen ("input.txt", "r", stdin);
	freopen ("output.txt", "w", stdout);
#endif
	solve();
	return 0;
}

int solve() {
    cout.precision(7);
    
	ll n;
	cin >> n;
	if (n < 2) {
	    cout << "-1\n";
	    return 0;
	}
	
	double x_d, y_d;
	cin >> x_d >> y_d;
	ll x = x_d * C, y = y_d * C;
	ll left = n * C / (x + 1 * C) + 1;
	ll right = (n * y) / (y + 1 * C) - ((n * y) % (y + 1 * C) == 0);

	if (right < left || left < 1 || right < 1) {
		cout << "-1\n";
	} else {
	    if (right * (x_d + 1) * 1.0 > (n - left) * (y_d + 1)) {
	        cout << fixed << right * (x_d + 1) * 1.0 << "\n";
	        cout << 1 << "\n";
	        cout << right << ' ' << n - right << "\n";
	    } else if (right * (x_d + 1) * 1.0 < (n - left) * (y_d + 1)) {
	        cout << fixed << (n - left) * (y_d + 1) << "\n";
	        cout << 1 << "\n";
	        cout << left << ' ' << n - left << "\n";
	    } else {
	        cout << fixed << (n - left) * (y_d + 1) << "\n";
	        if (left != right) {
    	        cout << 2 << "\n";
    	        cout << left << ' ' << n - left << "\n";
    	        cout << right << ' ' << n - right << "\n";
	        } else {
	            cout << 1 << "\n";
    	        cout << left << ' ' << n - left << "\n";
	        }
	    }
	}

	return 0;
}