#include <cstdio>
#include <iostream>
#include <cassert>
#include <vector>
#include <map>
#include <string>
#include <algorithm>
#include <sstream>
#include "testlib.h"

using namespace std;

string itoa(int x) 
{
    stringstream ss;
    string s;
    ss << x;
    ss >> s;
    return s;
}

int atoi(string s) 
{
    stringstream ss;
    int x;
    ss << s;
    ss >> x;
    return x;
}

void write_test(vector<int> test, int k) 
{
    cout << test.size() << ' ' << k << endl;
    for (int i = 0; i < (int)test.size() - 1; i++)
        cout << test[i] << ' ';
    cout << test.back() << endl;
}

void gen(int n)
{
    vector<int> test(n, 2);
    test[rnd.next(n / 2)] = 1;
    test[n / 2 + rnd.next(n / 2)] = 1;
    write_test(test, n - 1);
}


int main(int argc, char * argv[]) 
{
    registerGen(argc, argv, 1);
    int n = atoi(argv[1]);
    assert(n % 2 == 0);
    if (argc > 1 && atoi(argv[2]) == 1)
        n = 2 * rnd.next(n / 4, n / 2);
    gen(n);
    return 0;
}