import random
import math
random.seed("basic02/adrenaline")

class TestGen:
    def __init__(self):
        self.test_number = 0

    def generate_samples(self):
        self.print_test(1)

    def generate_min_tests(self):
        self.print_test(0.5)
        self.print_test(0)
        self.print_test(0.0001)
        self.print_test(0.00001)
        self.print_test(1.1)

    def generate_hand_tests(self):
        pass

    def generate_random_test(self, l, r):
        self.print_test(random.uniform(l, r))

    def generate_max_tests(self, maxa):
        self.print_test(maxa)
        self.print_test(maxa - 0.00001)
        self.print_test(maxa - 5 * 0.0001)

    def print_test(self, a):
        self.test_number += 1
        print('Generating test #%d' % self.test_number)
        test_name = "{0:0=2d}".format(self.test_number)
        test_file = open(test_name, 'w')
        print('%.6f' % a, file=test_file)
        test_file.close()

    def generate_all_tests(self):
        self.generate_samples()
        self.generate_min_tests()
        self.generate_hand_tests()

        for i in range(15):
            self.generate_random_test(0, 2)
                
        self.generate_max_tests(2.0)

import time
start = time.time()
writer = TestGen()
writer.generate_all_tests()
finish = time.time()
print('All tests were generated. Elapsed time: ', finish - start)
