#include <iostream>
#include <cstdio>
#include <cmath>
#include <algorithm>
#include <vector>
#include <string>

using namespace std;

#define TASK ""
typedef long long ll;

int solve();

int main() {
	ios_base::sync_with_stdio(0);
#ifdef home
	freopen("input.txt", "r", stdin), freopen("output.txt", "w", stdout);
#else 
	cin.tie(0);
	cout.tie(0);
	if (TASK != "") freopen(TASK".in", "r", stdin), freopen(TASK".out", "w", stdout);
#endif
	solve();
	return 0;
}
const int dd = (int)1e6 + 3;
int r[dd], x[dd], c[dd];

int solve() {
	int n; cin >> n;
	for (int i = 0; i < n; i++) {
		cin >> x[i] >> r[i] >> c[i];
	}
	
	int ans = 1;
	int mx = 0;
	for (int i = 1; i < n; i++) {
		mx = max(mx, x[i - 1] + r[i - 1] * c[i - 1]);
		if (mx < x[i]) ans++;	
	}
	
	cout << ans;
	return 0;
}