#include <bits/stdc++.h>

const double EPS = 1e-3;

int main() {
    int n;
    double x, y;
    std::cin >> n;
    std::cin >> x >> y;
    if (n < 2) {
        std::cout << -1 << '\n';
        return 0;
    }
    int minBound = std::ceil(n / (x + 1) + EPS);
    int maxBound = std::floor(n * y / (y + 1) - EPS);
    int k = std::max(maxBound - minBound + 1, 0);
    if (k == 0) {
        puts("-1");
        return 0;
    }
    double maxAnswer = 0.0;
    maxAnswer = std::max(maxAnswer, std::max(minBound + x * minBound, (n - minBound) + y * (n - minBound)));
    maxAnswer = std::max(maxAnswer, std::max(maxBound + x * maxBound, (n - maxBound) + y * (n - maxBound)));
    std::cout.precision(20);
    std::cout << maxAnswer << '\n';
    std::vector<int> numbers;
    std::vector<int> options = {minBound};
    if (maxBound > minBound) options.push_back(maxBound);
    for (int e: options) {
        double answer = std::max(e + x * e, (n - e) + y * (n - e));
        if (std::abs(answer - maxAnswer) < EPS) {
            numbers.push_back(e);
        }
    }
    std::cout << numbers.size() << '\n';
    for (int x : numbers) {
        std::cout << x << ' ' << n - x << '\n';
    }
    return 0;
}
